.TH WEATHER 1 
.SH NAME
weather - display current weather for a city or state
.SH SYNOPSIS
.B "weather"
[city or state code]
.SH DESCRIPTION
.PP
.I Weather
is program that will print the current weather conditions for an area.
.I Weather
is a Perl(1) script that connects to the "weather underground" weather 
server from The University of Michigan, sends the appropriate request,
ignores the inappropriate text, and prints out the weather data.

.SH OPTIONS
.TP
.B city code
the 3 letter airport style city code will cause
.I weather
to display the weather for that specified city.
.TP
.B state code
the 2 letter state abbreviation will cause
.I weather
to display (a brief version of) the current weather 
for that specified state.
.TP
.B Canadian zone code
the following list of codes are understood for Canadian weather reports:
.nf
.na
  1.  salt (Southern Alberta)      11 labr (Labrador)
  2.  nalt (Northern Alberta)      12 nfld (Newfoundland)
  3.  nebc (N. Alta - NE BC)       13 sont (Southern Ontario)
  4.  cobc (Coastal BC)            14 nont (Northern Ontario)
  5.  inbc (Interior BC)           15 nwon (Northwest Ontario)
  6.  sman (Southern Manitoba)     16 ssas (Southern Saskatchewan)
  7.  nman (Northern Manitoba)     17 nsas (Northern Saskatchewan)
  8.  nova (Nova Scotia)           18 yukn (Yukon)
  9.  pedi (Prince Edward Island)  19 sque (Southern Quebec)
  10. newb (New Brunswick)         20 nque (Northern Quebec)
.ad
.fi
Either the four-character symbolic name or the zone number can be
given to
.IR weather .
.SH BUGS
Every time the menus on the server changes, 
.I weather 
will usually wind up hanging, or printing the same
text infinitely.
.SH SEE ALSO
.BR xweather(1),
.BR Perl(1)

.SH COPYRIGHT
Copyright 1991, Frank Adelstein.
.br
Canadian support added by George Ferguson, ferguson@cs.rochester.edu.
